Run a single integration lookup action synchronously
curl --request POST \
--url https://api.instantly.ai/api/v2/supersearch-enrichment/integrations/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_id": "adyntel",
"action_id": "adyntel_get_linkedin_ads",
"inputs": {
"domain": "example.com"
},
"credential_source": "instantly_key"
}
'import requests
url = "https://api.instantly.ai/api/v2/supersearch-enrichment/integrations/run"
payload = {
"provider_id": "adyntel",
"action_id": "adyntel_get_linkedin_ads",
"inputs": { "domain": "example.com" },
"credential_source": "instantly_key"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_id: 'adyntel',
action_id: 'adyntel_get_linkedin_ads',
inputs: {domain: 'example.com'},
credential_source: 'instantly_key'
})
};
fetch('https://api.instantly.ai/api/v2/supersearch-enrichment/integrations/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/supersearch-enrichment/integrations/run")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_id\": \"adyntel\",\n \"action_id\": \"adyntel_get_linkedin_ads\",\n \"inputs\": {\n \"domain\": \"example.com\"\n },\n \"credential_source\": \"instantly_key\"\n}")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/supersearch-enrichment/integrations/run",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_id' => 'adyntel',
'action_id' => 'adyntel_get_linkedin_ads',
'inputs' => [
'domain' => 'example.com'
],
'credential_source' => 'instantly_key'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/supersearch-enrichment/integrations/run"
payload := strings.NewReader("{\n \"provider_id\": \"adyntel\",\n \"action_id\": \"adyntel_get_linkedin_ads\",\n \"inputs\": {\n \"domain\": \"example.com\"\n },\n \"credential_source\": \"instantly_key\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true,
"credits_cost": 1,
"adyntelLinkedinAds": {
"ads": []
}
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Insufficient credits",
"message": "Insufficient credits",
"creditsRequired": 1,
"creditsAvailable": 0
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}SuperSearch Enrichment
Run a single integration lookup action synchronously
Executes one lookup action for a single record with literal inputs and returns the provider payload inline, under the action’s output column.
Requires one of the following scopes: supersearch_enrichments:create, supersearch_enrichments:all, all:create, all:all
POST
/
api
/
v2
/
supersearch-enrichment
/
integrations
/
run
Run a single integration lookup action synchronously
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Minimum string length:
1Example:
"adyntel"
Minimum string length:
1Example:
"adyntel_get_linkedin_ads"
Show child attributes
Show child attributes
Example:
{ "domain": "example.com" }
Which credentials to run this action with. Providers marked requiresUserConnection only accept "workspace_key".
Available options:
workspace_key, instantly_key Example:
"instantly_key"
Example:
"01a034fe-b824-70a7-b694-a2d41f4540dc"
Response
The provider payload under the action's output column.
The provider payload under the action's output column.
⌘I